Package ru.bgcrm.plugin.bgbilling.proto.model

# Class BGServerFile

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.model.base.IdTitleComment
ru.bgcrm.plugin.bgbilling.proto.model.BGServerFile

All Implemented Interfaces:
  `Serializable`, `Comment`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class BGServerFile extends IdTitleComment

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitleComment

  `comment`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGServerFile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  `int`
  `getOwnerId()`
  `long`
  `getSize()`
  `int`
  `getUserId()`
  `String`
  `getUuid()`
  `void`
  `setDate(Date date)`
  `void`
  `setOwnerId(int ownerId)`
  `void`
  `setSize(long size)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUuid(String uuid)`

  ### Methods inherited from class org.bgerp.model.base.IdTitleComment

  `getComment, setComment`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### BGServerFile

    public BGServerFile()

- ## Method Details

  - ### getOwnerId

    public int getOwnerId()

  - ### setOwnerId

    public void setOwnerId(int ownerId)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getSize

    public long getSize()

  - ### setSize

    public void setSize(long size)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getUuid

    public String getUuid()

  - ### setUuid

    public void setUuid(String uuid)